Bug 910207 - Cannot view/mount Samsung galaxy s3 with Jellybean 4.1.2
Summary: Cannot view/mount Samsung galaxy s3 with Jellybean 4.1.2
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: mtpfs
Version: 18
Hardware: x86_64
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Orphan Owner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-02-12 01:33 UTC by Ankur Sinha (FranciscoD)
Modified: 2014-02-05 19:07 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-05 19:07:31 UTC
Type: Bug


Attachments (Terms of Use)
Dmesg (252.93 KB, text/plain)
2013-02-12 01:33 UTC, Ankur Sinha (FranciscoD)
no flags Details

Description Ankur Sinha (FranciscoD) 2013-02-12 01:33:24 UTC
Created attachment 696329 [details]
Dmesg

Description of problem:
On connecting my samsung galaxy s3, it no longer automounts the card and phone memories as mtp devices. This used to work earlier and nautilus would show the two partitions.


Version-Release number of selected component (if applicable):
mtpfs-1.1-0.3.svn20120510.fc18.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Plug in phone
2. Wait for automount
3. Try mtpfs from command line
  
Actual results:
Does not mount. Logs attached.

Expected results:
Should automount, or mount from the command line.

Additional info:
Logs attached.

Comment 1 Ankur Sinha (FranciscoD) 2013-02-12 01:39:01 UTC
It works with "simple-mtpfs" 

[root@dhcppc1 ~]# simple-mtpfs /mnt/s3/
Device 0 (VID=04e8 and PID=6860) is a Samsung Galaxy models (MTP).
[root@dhcppc1 ~]# cd /mnt/s3/
[root@dhcppc1 s3]# ls
Card  Phone
[root@dhcppc1 s3]# cd
[root@dhcppc1 ~]# fusermount -u /mnt/s3
[root@dhcppc1 ~]#

This is what mtpfs gives me:

[root@dhcppc1 ~]# mtpfs
Listing raw device(s)
Device 0 (VID=04e8 and PID=6860) is a Samsung Galaxy models (MTP).
   Found 1 device(s):
   Samsung: Galaxy models (MTP) (04e8:6860) @ bus 2, dev 20
Attempting to connect device
Error 2: PTP Layer error 02ff: get_handles_recursively(): could not get object handles.
Error 2: Error 02ff: PTP: I/O error
Error 7: Found a bad handle, trying to ignore it.
Error 7: Found a bad handle, trying to ignore it.
Error 7: Found a bad handle, trying to ignore it.
Error 7: Found a bad handle, trying to ignore it.
Listing File Information on Device with name: GT-I9305
fuse: missing mountpoint parameter
[root@dhcppc1 ~]#


Thanks,
Warm regards,
Ankur

Comment 2 Fedora End Of Life 2013-12-21 11:20:56 UTC
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Fedora End Of Life 2014-02-05 19:07:31 UTC
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.